*, *::before, *::after {
  box-sizing: border-box;
  margin: 0;
}

body{
  font-family: "Roboto", sans-serif ;
  line-height: 1.5rem;
  background-color: rgb(203 205 217);
}

nav{
  display: flex;
  flex-direction: column;
  max-width: 300px;
  height: 100dvh;
  border-right: 0.2rem solid #000;
  box-shadow: 10px 0px 23px -4px rgba(0,0,0,0.55);
  position: fixed;
  left: 0;
  top:0;
}
section{
  margin-top: 2rem;
}

header{
  font-weight: 700;
  font-size: 1.5rem;
  margin: 1rem 0;
}
nav header{
    padding: 10px;
}
a{
  padding: 2rem;
  text-decoration: none;
  font-size: 1rem;

  border-top: 1px solid #000;
  transition: background-color 0.2s, box-shadow 0.2s, font-size 0.2s;
}
nav a:last-child{
  border-bottom: 1px solid #000;
}
a:hover{
  background-color: rgb(174, 176, 187);
  font-size: 1.03rem;
}
a:active{
  box-shadow: -5px -5px 19px -2px rgba(0,0,0,0.55) inset;
  font-size: 0.9rem;
}
a:visited{
  text-decoration: none;
  color: black;
}












main{
  position: absolute;
  margin-left: 360px;
}



p{
  margin: 10px;
}
code{
  margin: 10px;
  padding: 2px;

  border: 1px solid rgb(44, 6, 6);
  border-radius: 5px;
  background-color: rgb(49, 49, 49);
  color: rgb(166, 213, 253);
}


@media (max-width:815px){
  nav{
    position: relative;
    min-width: 100%;
    text-align: center;
    height: 100%;
  }
  main{
    position:absolute;
    margin: 0;
    padding: 15px;
  }
  p{
      margin: 1rem;
  }
}